=== debian/changelog ===
libwcat1 (1.1-3) unstable; urgency=medium

  * New maintainer (Closes: #960550).
  * Add debian/watch file.
  * Add debian/symbols file.
  * Add debian/source/format file.
  * Change format of debian/copyright to DEP5.
  * debian/control:
    + Change libwcat1 package Section from web to libs.
    + Update long description in libwcat1-dev package.
    + Add Multi-Arch support.
  * debian/rules:
    + Install shared libraries to /usr/lib/${DEB_HOST_MULTIARCH}.
    + Support hardening feature.
  * debian/patches:
    + Add patch to support LIBDIR in Makefile.
    + Add patch to pass CPPFLAGS and LDFLAGS to make. This is required to make
      hardening works.

 -- Georgy Komarov <jubnzv@gmail.com>  Sat, 19 Sep 2020 20:27:49 +0300

libwcat1 (1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Vcs-* fields to use git packaging repo under Salsa Debian
      Group.
  * debian/rules: Drop custom installation scripts.
  * debian/patches: Add patch to avoid manual strip.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 May 2020 10:25:07 -0400

libwcat1 (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add versioned dependency to the libwcat1-dev on libwcat1. (Closes: #715125)

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Mar 2017 22:19:46 +0100

libwcat1 (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #706028)

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 19:19:04 +0200
