=== debian/control ===
Source: libwcat1
Section: libs
Priority: optional
Multi-Arch: foreign
Build-Depends:
 debhelper-compat (= 13), quilt
Maintainer: Georgy Komarov <jubnzv@gmail.com>
Standards-Version: 4.5.0
Homepage: http://oss.digirati.com.br/watchcatd/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libwcat1.git
Vcs-Browser: https://salsa.debian.org/debian/libwcat1

Package: libwcat1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process monitoring library
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.

Package: libwcat1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libwcat1 (= ${binary:Version})
Description: Process monitoring library (development files)
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.
 This package contains the development files (C headers)
