=== debian/rules ===
#!/usr/bin/make -f

# Exports DEB_{BUILD,HOST}_* flags
include /usr/share/dpkg/architecture.mk

# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=$(CURDIR)/debian/tmp/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh ${@} -Smakefile

override_dh_installdirs:
	mkdir -p $(LIBDIR)
	dh_installdirs --create-in-sourcedir

override_dh_auto_install:
	mkdir -p $(LIBDIR)
	dh_auto_install --destdir=$(DESTDIR) -- LIBDIR=$(LIBDIR)
	find $(CURDIR)/debian/libwcat1/usr/include -type d -empty -delete
