=== debian/watch ===
version=4
  http://oss.digirati.com.br/watchcatd/libwcat-(\d+).(\d+)\.tar\.gz \
  debian uupdate
